%define major	1
%define oname elementary

Summary: 	Basic widget set that is easy to use based on EFL touch-screen devices
Name: 		e-elementary
Version: 	1.17.0
Release: 	%mkrel 1
License: 	BSD
Group: 	Graphical desktop/Enlightenment
URL: 	http://trac.enlightenment.org/e/wiki/Elementary
Source: 	%oname-%{version}.tar.xz
Source1:	bg_radgrad.png
#-----------------------
BuildRequires: efl
BuildRequires: efl-devel
#-----------------------
Obsoletes: elementary
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root


%description
Elementary is a basic widget set library that is easy to use and is based on
EFL. It provides the basic building blocks for creating applications and user
interfaces.

For more details about elementary widgets and how to use them kindly refer to
the following link for the latest documentation:

http://www.enlightenment.org/p.php?p=docs


%package devel
Summary: Headers and development libraries from %{name}
Group: Development/Libraries
Requires: %name
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}
Obsoletes: elementary-devel

%description devel
%{name} development headers and libraries.

%prep
%setup -qn %oname-%{version}

cp %SOURCE1 data/themes/img/bg_radgrad.png

%build
%configure2_5x --disable-static

%make


%install
rm -rf %buildroot
%makeinstall_std

%find_lang %{oname}

find %buildroot -name *.la | xargs rm

%files -f %{oname}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_libdir}/elementary
%{_libdir}/edje/modules/elm
%{_datadir}/applications/*.desktop
%{_datadir}/%oname
%{_iconsdir}/%oname.png
%{_libdir}/*.so.%{major}*
%{_datadir}/eolian

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*
%{_libdir}/cmake/Elementary
%{_libdir}/*.so
%{_includedir}/*

%clean
rm -rf %buildroot

%changelog
* Thu Feb 04 2016 bb <bb> 1.17.0-1pclos2016
- update

* Fri Dec 25 2015 bb <bb> 1.16.1-1pclos2015
- update

* Sun Nov 15 2015 bb <bb> 1.16.0-1pclos2015
- update

* Wed Oct 07 2015 bb <bb> 1.15.2-1pclos2015
- update
